POST
/api/v1/soc2-readinessUpdate SOC 2 control state
Action-discriminated SOC 2 control mutation. `orgId` and `action` are both required (400 otherwise). action=initialize seeds the org's default control set (upsert on id+org_id). action=update_status requires `controlId` and `status` from implemented | partial | planned | not_started, and optionally `remediationNotes`. action=add_evidence requires `controlId` and an `evidence` object { type, title, description?, fileUrl? } and inserts a `soc2_evidence` row. Admin role; audited.
Authentication
Send Authorization: Bearer YOUR_API_KEY on every request. Generate API keys at /dashboard/settings/api-keys.
Response
200 example
{
"success": true
}All status codes
200Updated.
400(no description)
401(no description)
403Forbidden — insufficient role for this operation.
429(no description)
500Internal Server Error — DB_ERROR.
Code samples
cURL
curl -X POST \ https://evalguard.ai/api/v1/soc2-readiness \ -H "Authorization: Bearer $EVALGUARD_API_KEY"
TypeScript
// The TypeScript SDK (@evalguard/sdk) exposes TYPED methods — runEval,
// getEval, runSecurityScan, checkFirewall, … — not a generic request().
// For an arbitrary endpoint, call it directly:
const res = await fetch("https://evalguard.ai/api/v1/soc2-readiness", {
method: "POST",
headers: { Authorization: `Bearer ${process.env.EVALGUARD_API_KEY}` },
});
console.log(res.status, await res.json());Python
# The Python SDK (pip install evalguardai) exposes TYPED methods on
# EvalGuardClient — run_eval, get_eval, … — not a generic request().
# For an arbitrary endpoint, call it directly:
import os
import requests
headers = {"Authorization": f"Bearer {os.environ['EVALGUARD_API_KEY']}"}
response = requests.request("POST", "https://evalguard.ai/api/v1/soc2-readiness", headers=headers)
print(response.status_code, response.json())Go
package main
import (
"context"
"fmt"
"net/http"
"os"
)
func main() {
req, _ := http.NewRequestWithContext(context.Background(), "POST", "https://evalguard.ai/api/v1/soc2-readiness", nil)
req.Header.Set("Authorization", "Bearer "+os.Getenv("EVALGUARD_API_KEY"))
resp, err := http.DefaultClient.Do(req)
if err != nil { panic(err) }
defer resp.Body.Close()
fmt.Println(resp.Status)
}Errors
400401403429500